diff -uNr mythtv-0.21/libs/libmythupnp/upnpcds.cpp mythtv/libs/libmythupnp/upnpcds.cpp
--- mythtv-0.21/libs/libmythupnp/upnpcds.cpp	2008-03-02 22:14:41.000000000 +0100
+++ mythtv/libs/libmythupnp/upnpcds.cpp	2008-03-15 18:53:54.000000000 +0100
@@ -887,31 +887,11 @@
                     }
                 }
             }
+            break;
         }
         case CDS_BrowseDirectChildren:
         {
-
-	    QStringList tokens;
-
-	    if (pRequest->m_sObjectId.length() > 0)
-            {
-                if (pRequest->m_sObjectId.contains("="))
-                    tokens = QStringList::split( "=", pRequest->m_sObjectId );
-	        else 
-	        {
-	             tokens =  QStringList::split( "/", pRequest->m_sObjectId );
-
-	             tokens = QStringList::split( " ", tokens[tokens.count() - 1] );
-                     tokens = QStringList::split( "?", tokens[0] );
-
-                     if (tokens[0].startsWith("Id"))
-                         tokens[0] = tokens[0].right(tokens[0].length() - 2);
-
-	        }	
-            }
-
-            pRequest->m_sParentId = tokens.last();
-            CreateItems( pRequest, pResults, 0, "", false );
+            // Items don't have any children.
             break;
         }
 
diff -uNr mythtv-0.21/libs/libmythupnp/upnpcds.h mythtv/libs/libmythupnp/upnpcds.h
--- mythtv-0.21/libs/libmythupnp/upnpcds.h	2008-03-02 22:14:41.000000000 +0100
+++ mythtv/libs/libmythupnp/upnpcds.h	2008-03-15 18:53:54.000000000 +0100
@@ -124,22 +124,22 @@
 
         QString RemoveToken ( const QString &sToken, const QString &sStr, int num );
 
-        UPnpCDSExtensionResults *ProcessRoot     ( UPnpCDSRequest          *pRequest, 
-                                                   UPnpCDSExtensionResults *pResults,
-                                                   QStringList             &idPath );
-        UPnpCDSExtensionResults *ProcessAll      ( UPnpCDSRequest          *pRequest, 
-                                                   UPnpCDSExtensionResults *pResults,
-                                                   QStringList             &idPath );
-        UPnpCDSExtensionResults *ProcessItem     ( UPnpCDSRequest          *pRequest,
-                                                   UPnpCDSExtensionResults *pResults,
-                                                   QStringList             &idPath );
-        UPnpCDSExtensionResults *ProcessKey      ( UPnpCDSRequest          *pRequest,
-                                                   UPnpCDSExtensionResults *pResults,
-                                                   QStringList             &idPath );
-        UPnpCDSExtensionResults *ProcessContainer( UPnpCDSRequest          *pRequest,
-                                                   UPnpCDSExtensionResults *pResults,
-                                                   int                      nNodeIdx,
-                                                   QStringList             &idPath );
+        virtual UPnpCDSExtensionResults *ProcessRoot     ( UPnpCDSRequest          *pRequest, 
+                                                           UPnpCDSExtensionResults *pResults,
+                                                           QStringList             &idPath );
+        virtual UPnpCDSExtensionResults *ProcessAll      ( UPnpCDSRequest          *pRequest, 
+                                                           UPnpCDSExtensionResults *pResults,
+                                                           QStringList             &idPath );
+        virtual UPnpCDSExtensionResults *ProcessItem     ( UPnpCDSRequest          *pRequest,
+                                                           UPnpCDSExtensionResults *pResults,
+                                                           QStringList             &idPath );
+        virtual UPnpCDSExtensionResults *ProcessKey      ( UPnpCDSRequest          *pRequest,
+                                                           UPnpCDSExtensionResults *pResults,
+                                                           QStringList             &idPath );
+        virtual UPnpCDSExtensionResults *ProcessContainer( UPnpCDSRequest          *pRequest,
+                                                           UPnpCDSExtensionResults *pResults,
+                                                           int                      nNodeIdx,
+                                                           QStringList             &idPath );
 
         // ------------------------------------------------------------------
 
diff -uNr mythtv-0.21/libs/libs-dephack.pro mythtv/libs/libs-dephack.pro
--- mythtv-0.21/libs/libs-dephack.pro	2008-01-25 10:32:50.000000000 +0100
+++ mythtv/libs/libs-dephack.pro	2008-06-04 06:05:51.000000000 +0200
@@ -8,9 +8,6 @@
     # Worked around by building libmyth first,
     # with dlltool faking the symbols from the other two libs
     LIBS += -L../libmyth -lmyth-$$LIBVERSION
-
-    # For easier debugging, put lib in same place as mythfrontend.exe
-    target.path = $${PREFIX}/bin
 }
 
 #unix {
diff -uNr mythtv-0.21/libs/libs-targetfix.pro mythtv/libs/libs-targetfix.pro
--- mythtv-0.21/libs/libs-targetfix.pro	1970-01-01 01:00:00.000000000 +0100
+++ mythtv/libs/libs-targetfix.pro	2008-06-04 06:05:51.000000000 +0200
@@ -0,0 +1,20 @@
+# Common project modifications to change the generated target.
+
+mingw {
+    dll : contains( TEMPLATE, lib ) {
+
+        # Qt under Linux/UnixMac OS X builds libBlah.a and libBlah.so,
+        # but is using the Windows defaults  libBlah.a and    Blah.so.
+        #
+        # So that our dependency targets work between SUBDIRS, override:
+        #
+        TARGET = lib$${TARGET}
+
+
+        # Windows doesn't have a nice variable like LD_LIBRARY_PATH,
+        # which means make install would be broken without extra steps.
+        # As a workaround, we store dlls with exes. Also improves debugging!
+        #
+        target.path = $${PREFIX}/bin
+    }
+}
diff -uNr mythtv-0.21/programs/mythbackend/mainserver.cpp mythtv/programs/mythbackend/mainserver.cpp
--- mythtv-0.21/programs/mythbackend/mainserver.cpp	2008-03-03 05:47:04.000000000 +0100
+++ mythtv/programs/mythbackend/mainserver.cpp	2008-07-06 08:33:01.000000000 +0200
@@ -697,6 +697,7 @@
             }
 
             m_sched->GetNextLiveTVDir(tokens[1].toInt());
+            return;
         }
 
         if ((me->Message().left(16) == "DELETE_RECORDING") ||
diff -uNr mythtv-0.21/programs/mythbackend/upnpcdsvideo.cpp mythtv/programs/mythbackend/upnpcdsvideo.cpp
--- mythtv-0.21/programs/mythbackend/upnpcdsvideo.cpp	2008-03-02 22:14:41.000000000 +0100
+++ mythtv/programs/mythbackend/upnpcdsvideo.cpp	2008-03-15 18:53:54.000000000 +0100
@@ -28,7 +28,7 @@
           "1 as children "
             "FROM upnpmedia "
             "%1 "
-            "ORDER BY title DESC",
+            "ORDER BY title",
         "" }
 
 };
@@ -87,7 +87,7 @@
 {
     int nVideoID = mapParams[ "Id" ].toInt();
 
-    QString sSQL = QString( "%1 WHERE class = 'VIDEO' AND intid=:VIDEOID " )
+    QString sSQL = QString( "%1 AND intid=:VIDEOID ORDER BY title DESC" )
                                                     .arg( GetItemListSQL( ) );
 
     query.prepare( sSQL );
@@ -211,6 +211,72 @@
 
     return nCount;
 }
+
+/////////////////////////////////////////////////////////////////////////////
+//
+/////////////////////////////////////////////////////////////////////////////
+
+UPnpCDSExtensionResults *UPnpCDSVideo::ProcessItem( UPnpCDSRequest          *pRequest,
+                                                    UPnpCDSExtensionResults *pResults, 
+                                                    QStringList             &idPath )
+{
+    pResults->m_nTotalMatches   = 0;
+    pResults->m_nUpdateID       = 1;
+
+    if (pRequest->m_sObjectId.length() == 0)
+        return pResults;
+
+    QStringList tokens = QStringList::split( "/", pRequest->m_sObjectId );
+    QString     sId    = tokens.last();
+
+    if (sId.startsWith("Id"))
+        sId = sId.right( sId.length() - 2);
+
+    switch( pRequest->m_eBrowseFlag )
+    {
+        case CDS_BrowseMetadata:
+        {
+            // --------------------------------------------------------------
+            // Return 1 Item
+            // --------------------------------------------------------------
+
+            QStringMap  mapParams;
+
+            mapParams.insert( "Id", sId );
+
+            MSqlQuery query(MSqlQuery::InitCon());
+
+            if (query.isConnected())                                                           
+            {
+                BuildItemQuery( query, mapParams );
+                query.exec();
+    
+                if (query.isActive() && query.size() > 0)
+                {
+                    if ( query.next() )
+                    {
+                        AddItem( pRequest->m_sParentId, pResults, false, query );
+                        pResults->m_nTotalMatches = 1;
+                    }
+                }
+            }
+
+            break;
+        }
+
+        case CDS_BrowseDirectChildren:
+        {
+            pRequest->m_sParentId = sId;
+
+            CreateItems( pRequest, pResults, 0, "", false );
+
+            break;
+        }
+    }
+
+    return pResults;
+}
+
 /////////////////////////////////////////////////////////////////////////////
 //
 /////////////////////////////////////////////////////////////////////////////
@@ -340,25 +406,17 @@
                             .arg( sServerIp )
                             .arg( sPort     );
 
-    QString sURIParams = QString( "?Id=%1" )
-                            .arg( nVidID );
-
-    QString sId        = QString( "%1/item%2")
-                            .arg( sObjectId )
-                            .arg( sURIParams );
-
-    sURIParams = QString( "/Id%1" ).arg( nVidID );
-    sId        = QString( "%1/item%2").arg( sObjectId ).arg( sURIParams );
+    QString sURIParams = QString( "/Id%1" ).arg( nVidID );
+    QString sId        = QString( "Videos/0/item%1").arg( sURIParams );
 
     if (sParentID == QString("%1").arg(STARTING_VIDEO_OBJECTID))
     {
-        sParentID          = sObjectId;
+        sParentID = "Videos/0";
     }
     else
     {
-        sParentID          = QString( "%1/item/Id%2")
-                            .arg( sObjectId )
-                            .arg( sParentID );
+        sParentID = QString( "Videos/0/item/Id%1")
+                       .arg( sParentID );
     }
 
     QString sAlbumArtURI= QString( "%1GetVideoArt%2")
@@ -371,6 +429,8 @@
     {
         pItem   = CDSObject::CreateStorageFolder( sId, sName, sParentID);
         pItem->SetChildCount( GetCount( "parentid",QString( "%1" ).arg( nVidID )) );
+
+        pItem->SetPropValue( "storageUsed", "0" );  //-=>TODO: need proper value
     }
     else if (sItemType == "FILE" )
         pItem   = CDSObject::CreateVideoItem( sId, sName, sParentID );
diff -uNr mythtv-0.21/programs/mythbackend/upnpcdsvideo.h mythtv/programs/mythbackend/upnpcdsvideo.h
--- mythtv-0.21/programs/mythbackend/upnpcdsvideo.h	2008-03-02 22:14:41.000000000 +0100
+++ mythtv/programs/mythbackend/upnpcdsvideo.h	2008-03-15 18:53:54.000000000 +0100
@@ -32,6 +32,10 @@
 
     protected:
 
+        virtual UPnpCDSExtensionResults *ProcessItem( UPnpCDSRequest          *pRequest,
+                                                      UPnpCDSExtensionResults *pResults,
+                                                      QStringList             &idPath );
+
         virtual void             CreateItems   ( UPnpCDSRequest          *pRequest,
                                                  UPnpCDSExtensionResults *pResults,
                                                  int                      nNodeIdx,
diff -uNr mythtv-0.21/programs/mythbackend/upnpmedia.cpp mythtv/programs/mythbackend/upnpmedia.cpp
--- mythtv-0.21/programs/mythbackend/upnpmedia.cpp	2008-02-15 00:03:12.000000000 +0100
+++ mythtv/programs/mythbackend/upnpmedia.cpp	2008-04-05 18:00:16.000000000 +0200
@@ -105,11 +105,8 @@
     int parentid;
     QDir vidDir(directory);
     QString title;
-    // If we can't read it's contents move on
     //VERBOSE(VB_UPNP, QString("buildFileList = %1, rootID = %2, itemID =
     //%3").arg(directory).arg(rootID).arg(itemID));
-    if (!vidDir.isReadable())
-        return itemID;
 
     if (rootID > 0) 
         parentid = rootID;
@@ -117,7 +114,9 @@
         parentid = itemID;
 
     vidDir.setSorting( QDir:: DirsFirst | QDir::Name );
-    const QFileInfoList* List = vidDir.entryInfoList();
+    const QFileInfoList *List = vidDir.entryInfoList();
+    // If we can't read it's contents move on
+    if (!List) return itemID;
     for (QFileInfoListIterator it(*List); it; ++it)
     {
         QFileInfo Info(*it.current());
diff -uNr mythtv-0.21/programs/mythfilldatabase/channeldata.cpp mythtv/programs/mythfilldatabase/channeldata.cpp
--- mythtv-0.21/programs/mythfilldatabase/channeldata.cpp	2007-11-12 15:23:13.000000000 +0100
+++ mythtv/programs/mythfilldatabase/channeldata.cpp	2008-07-06 17:41:38.000000000 +0200
@@ -374,17 +374,18 @@
 
                 if ((*i).callsign.isEmpty())
                 {
-                    QStringList words = QStringList::split(" ",
-                                        (*i).name.simplifyWhiteSpace().upper());
+                    QStringList words = QStringList::split(" ",(*i).name.simplifyWhiteSpace().upper());
                     QString callsign = "";
-                    if (words[0].isEmpty())
+                    QString w1 = words.size() > 0 ? words[0] : QString();
+                    QString w2 = words.size() > 1 ? words[1] : QString();
+                    if (w1.isEmpty())
                         callsign = QString::number(chanid);
-                    else if (words[1].isEmpty())
+                    else if (w2.isEmpty())
                         callsign = words[0].left(5);
                     else
                     {
-                        callsign = words[0].left(words[1].length() == 1 ? 4:3);
-                        callsign += words[1].left(5 - callsign.length());
+                        callsign = w1.left(w2.length() == 1 ? 4:3);
+                        callsign += w2.left(5 - callsign.length());
                     }
                     (*i).callsign = callsign;
                 }
diff -uNr mythtv-0.21/programs/mythfrontend/globalsettings.cpp mythtv/programs/mythfrontend/globalsettings.cpp
--- mythtv-0.21/programs/mythfrontend/globalsettings.cpp	2008-03-08 00:14:05.000000000 +0100
+++ mythtv/programs/mythfrontend/globalsettings.cpp	2008-03-25 08:28:03.000000000 +0100
@@ -2264,7 +2264,7 @@
     for (int i=0; i<num; ++i)
         gc->addSelection(QString::number(i), QString::number(i));
     gc->addSelection(QObject::tr("All"), QString::number(-1));
-    gc->setLabel(QObject::tr("Xinerama screen"));
+    gc->setLabel(QObject::tr("Display on screen"));
     gc->setValue(0);
     gc->setHelpText(QObject::tr("Run on the specified screen or "
                     "spanning all screens."));
@@ -4885,9 +4885,7 @@
     VerticalConfigurationGroup* screen = new VerticalConfigurationGroup(false);
     screen->setLabel(QObject::tr("Screen settings"));
 
-    // These values are also used in non-Xinerama setups
-    // (e.g. Linux multi-head)
-    //if (GetNumberOfXineramaScreens() > 1)
+    if (GetNumberOfXineramaScreens() > 1)
     {
         screen->addChild(XineramaScreen());
         screen->addChild(XineramaMonitorAspectRatio());
diff -uNr mythtv-0.21/programs/mythshutdown/main.cpp mythtv/programs/mythshutdown/main.cpp
--- mythtv-0.21/programs/mythshutdown/main.cpp	2008-02-15 01:15:43.000000000 +0100
+++ mythtv/programs/mythshutdown/main.cpp	2008-05-26 12:06:15.000000000 +0200
@@ -74,12 +74,42 @@
 {
     VERBOSE(VB_GENERAL, "Mythshutdown: --lock");
 
-    QString value_str = getGlobalSetting("MythShutdownLock", "0");
-    bool isNumber = false;
-    ulong value = value_str.toULong(&isNumber);
-    if (!isNumber)
-        value = 0;
-    setGlobalSetting("MythShutdownLock", QString::number(++value));
+    MSqlQuery query(MSqlQuery::InitCon());
+
+    // lock setting table
+    int tries = 0;
+    while (!query.exec("LOCK TABLE settings WRITE;") && tries < 5)
+    {
+        VERBOSE(VB_GENERAL, "Waiting for lock on setting table");
+        sleep(1);
+        tries++;
+    }
+
+    if (tries >= 5)
+    {
+        VERBOSE(VB_GENERAL, "Waited too long to obtain lock on setting table");
+        return 1;
+    }
+
+    // does the setting already exist?
+    query.exec("SELECT * FROM settings "
+               "WHERE value = 'MythShutdownLock' AND hostname IS NULL;");
+
+    if (query.size() < 1)
+    {
+        // add the lock setting
+        query.exec("INSERT INTO settings (value, data) "
+                   "VALUES ('MythShutdownLock', '1');");
+    }
+    else
+    {
+        // update the lock setting
+        query.exec("UPDATE settings SET data = data + 1 "
+                   "WHERE value = 'MythShutdownLock' AND hostname IS NULL;");
+    }
+
+    // unlock settings table
+    query.exec("UNLOCK TABLES;");
 
     return 0;
 }
@@ -88,16 +118,44 @@
 {
     VERBOSE(VB_GENERAL, "Mythshutdown: --unlock");
 
-    QString value_str = getGlobalSetting("MythShutdownLock", "0");
-    bool isNumber = false;
-    ulong value = value_str.toULong(&isNumber);
-    if (!isNumber)
-        value = 0;
-    // Prevent going negative
-    if (value == 0)
-        ++value;
-    setGlobalSetting("MythShutdownLock", QString::number(--value));
+    MSqlQuery query(MSqlQuery::InitCon());
 
+    // lock setting table
+    int tries = 0;
+    while (!query.exec("LOCK TABLE settings WRITE;") && tries < 5)
+    {
+        VERBOSE(VB_GENERAL, "Waiting for lock on setting table");
+        sleep(1);
+        tries++;
+    }
+
+    if (tries >= 5)
+    {
+        VERBOSE(VB_GENERAL, "Waited too long to obtain lock on setting table");
+        return 1;
+    }
+
+    // does the setting exist?
+    query.exec("SELECT * FROM settings "
+               "WHERE value = 'MythShutdownLock' AND hostname IS NULL;");
+
+    if (query.size() < 1)
+    {
+        // add the lock setting
+        query.exec("INSERT INTO settings (value, data) "
+                   "VALUES ('MythShutdownLock', '0');");
+    }
+    else
+    {
+        // update lock setting
+        query.exec("UPDATE settings SET data = GREATEST(0,  data - 1) "
+                   "WHERE value = 'MythShutdownLock' AND hostname IS NULL;");
+    }
+
+    // unlock table
+    query.exec("UNLOCK TABLES;");
+
+    // tell the master BE to reset its idle time
     RemoteSendMessage("RESET_IDLETIME");
 
     return 0;
@@ -881,6 +939,8 @@
     else
         showUsage();
 
+    delete gContext;
+
     return res;
 }
 
diff -uNr mythtv-0.21/programs/mythtranscode/mpeg2fix.h mythtv/programs/mythtranscode/mpeg2fix.h
--- mythtv-0.21/programs/mythtranscode/mpeg2fix.h	2006-10-13 16:47:28.000000000 +0200
+++ mythtv/programs/mythtranscode/mpeg2fix.h	2008-03-31 17:45:51.000000000 +0200
@@ -13,15 +13,15 @@
 extern "C"
 {
 //AVFormat/AVCodec
-#include "../libavcodec/avcodec.h"
-#include "../libavformat/avformat.h"
+#include "libavcodec/avcodec.h"
+#include "libavformat/avformat.h"
 
 //replex
 #include "replex/ringbuffer.h"
 #include "replex/multiplex.h"
 
 //libmpeg2
-#include "../libmythmpeg2/mpeg2.h"
+#include "libmythmpeg2/mpeg2.h"
 }
 
 enum MPFDisplayMask {
diff -uNr mythtv-0.21/programs/mythtranscode/transcode.cpp mythtv/programs/mythtranscode/transcode.cpp
--- mythtv-0.21/programs/mythtranscode/transcode.cpp	2008-03-08 01:07:31.000000000 +0100
+++ mythtv/programs/mythtranscode/transcode.cpp	2008-03-31 17:45:51.000000000 +0200
@@ -23,7 +23,7 @@
 #include "jobqueue.h"
 
 extern "C" {
-#include "../libavcodec/avcodec.h"
+#include "libavcodec/avcodec.h"
 }
 
 #define LOC QString("Transcode: ")
diff -uNr mythtv-0.21/programs/mythtv/main.cpp mythtv/programs/mythtv/main.cpp
--- mythtv-0.21/programs/mythtv/main.cpp	2008-02-24 14:58:52.000000000 +0100
+++ mythtv/programs/mythtv/main.cpp	2008-06-23 02:35:56.000000000 +0200
@@ -287,7 +287,7 @@
         pginfo->isVideo = true;
 
         // RingBuffer doesn't like relative pathnames
-        if (filename.left(1) != "/" && !filename.startsWith("dvd://"))
+        if (filename.left(1) != "/" && !filename.startsWith("dvd:"))
             pginfo->pathname.prepend(QDir::currentDirPath() + '/');
     }
 
diff -uNr mythtv-0.21/programs/mythwelcome/welcomedialog.cpp mythtv/programs/mythwelcome/welcomedialog.cpp
--- mythtv-0.21/programs/mythwelcome/welcomedialog.cpp	2008-01-14 17:45:33.000000000 +0100
+++ mythtv/programs/mythwelcome/welcomedialog.cpp	2008-05-26 12:16:54.000000000 +0200
@@ -378,8 +378,8 @@
                 status += "\n" + QDeepCopy<QString>(tuner->title);
                 if (!tuner->subtitle.isEmpty()) 
                     status += "\n("+QDeepCopy<QString>(tuner->subtitle)+")";
-                status += "\n" + tuner->startTime.toString("hh:mm") + 
-                          " " + tr("to") + " " + tuner->endTime.toString("hh:mm");
+                status += "\n" + tuner->startTime.toString(m_timeFormat) + 
+                          " " + tr("to") + " " + tuner->endTime.toString(m_timeFormat);
             }
             else
             {
@@ -414,7 +414,7 @@
 
             QString dateFormat = gContext->GetSetting("DateFormat", "ddd dd MMM yyyy");
             status += "\n" + prog->startTime.toString(dateFormat + " (" + m_timeFormat) +
-                " " + tr("to") + " " +  prog->endTime.toString("hh:mm)");
+                " " + tr("to") + " " +  prog->endTime.toString(m_timeFormat + ")");
 
             if (m_screenScheduledNo < m_scheduledList.count() - 1)
                 m_screenScheduledNo++;
diff -uNr mythtv-0.21/settings.pro mythtv/settings.pro
--- mythtv-0.21/settings.pro	2008-02-05 12:18:34.000000000 +0100
+++ mythtv/settings.pro	2008-06-30 08:40:35.000000000 +0200
@@ -3,6 +3,15 @@
 isEmpty( PREFIX ) {
     PREFIX = /usr/local
 }
+isEmpty( RUNPREFIX ) {
+    RUNPREFIX = $$PREFIX
+}
+isEmpty( LIBDIRNAME ) {
+    LIBDIRNAME = lib
+}
+isEmpty( LIBDIR ) {
+    LIBDIR = $${RUNPREFIX}/$${LIBDIRNAME}
+}
 
 LIBVERSION = 0.21
 VERSION = 0.21.0
@@ -88,8 +97,6 @@
 DEFINES += $$CONFIG_DEFINES
 DEFINES += _GNU_SOURCE
 DEFINES += _FILE_OFFSET_BITS=64
-DEFINES += PREFIX=\"$${PREFIX}\"
-DEFINES += LIBDIR=\"$${LIBDIR}\"
 
 # construct linking path
 LOCAL_LIBDIR_X11 =
diff -uNr mythtv-0.21/themes/themes.pro mythtv/themes/themes.pro
--- mythtv-0.21/themes/themes.pro	2008-01-29 03:24:25.000000000 +0100
+++ mythtv/themes/themes.pro	2008-04-24 04:19:34.000000000 +0200
@@ -7,6 +7,7 @@
 CONFIG -= moc qt
 
 !macx:QMAKE_COPY_DIR = sh ./cpsvndir
+win32:QMAKE_INSTALL_DIR = sh ./cpsvndir
 
 themes.path = $${PREFIX}/share/mythtv/themes/
 themes.files = blue defaultosd blueosd default default-wide G.A.N.T classic DVR
diff -uNr mythtv-0.21/version.pro mythtv/version.pro
--- mythtv-0.21/version.pro	2007-12-10 20:19:08.000000000 +0100
+++ mythtv/version.pro	2007-12-10 20:19:08.000000000 +0100
@@ -9,7 +9,7 @@
 MYTHBINVERS = $$system(egrep MYTH_BINARY_VERSION libs/libmyth/mythcontext.h | sed 's/.*MYTH_BINARY_VERSION //')
 
 SVNTREEDIR = $$system(pwd)
-SVNREPOPATH = "$$URL: http://svn.mythtv.org/svn/tags/release-0-21/mythtv/version.pro $$"
+SVNREPOPATH = "$$URL: http://svn.mythtv.org/svn/branches/release-0-21-fixes/mythtv/version.pro $$"
 
 
 SOURCES += version.cpp
